@import '../../../assets/styles/variables.scss';

.ch-menu {
  position: relative;
  padding: 10px;
  border: 2px solid $brand-color-dark;

  & .ch-background-trans {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: $ch-background-trans-color;
    opacity: 0.7;
  }

  nav {
    position: relative;
    z-index: 2;

    & .nav-link {
      position: relative;
      color: #000;
      text-transform: uppercase;

      &:hover {
        color: $brand-color-dark;
      }

      &.active {
        color: $brand-color-dark;
        font-weight: 700;

        div {
          position: absolute;
          top: 16px;
          left: 0;
          background-color: $brand-color-light;
          width: 7px;
          height: 7px;
        }
      }
    }
  }
}
